Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".

#601 Le 05/09/2011, à 19:36

yoann21

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

yoann21 a écrit :
barback a écrit :

Bonjour,
j'avais posé mon problème en Juin, pour arriver à la conclusion qu'il fallait le tester en machine virtuelle. Toute ton aide est à la page 22, tu m'as fais réinstaller AIR, passer par le sdk...

Aurais tu une autre idée aujourd'hui?

J'avais fait des tests en juin mais je n'avais pas réussi à reproduire ton problème, désolé.
Je jetterai de nouveau un oeil sur ton problème demain dans le train si j'ai le temps. smile

On va tenter quelque chose :

sudo chown -R $USER:$USER $HOME

Sinon, créé un autre utilisateur sur ton pc, et essaie de lancer Dofus.

Dernière modification par yoann21 (Le 05/09/2011, à 19:36)

Hors ligne

#602 Le 05/09/2011, à 19:58

Omac-Do

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

yoann21 a écrit :

Sinon je n'ai pas tout compris la deuxième série de commande que tu as faite. Est-ce que les paquets se sont installés correctement ?
Comme tu risques d'avoir des problèmes de librairie, fait cette commande :

Qui donne >

inconnu@linux-fup3:~> ldd /opt/Dofus_Paquet/share/UpLauncher
ldd: /opt/Dofus_Paquet/share/UpLauncher: Aucun fichier ou dossier de ce type
inconnu@linux-fup3:~> 

Voilà tout ...

Hors ligne

#603 Le 06/09/2011, à 22:02

Omac-Do

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

[Double-post] pour la bonne cause.

Après quelques bidouilles et téléchargement de paquets par ci par là , j'en suis arrivé à ça > captur13.png 
( Adobe AIR n'as pas pu être installé. Installez Gnome Keyring ou KDE KWallet avant d'installer Adobe AIR. )
- J'ai bien sur effectuer des recherches sur la question , mais ayant bien KDE KWallet d'installer ... Je ne sais plus quoi faire omis attendre votre réponse.

Sa avance petit à petit ...

[EDIT] > Je suis passé à Ubuntu entre temps et les liens fournis dans le Tuto marchent du feu de dieu.
Bravo pour ton travail et bonne continuation smile

Dernière modification par Omac-Do (Le 10/09/2011, à 12:15)

Hors ligne

#604 Le 11/09/2011, à 19:29

BisonRavi

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Bonsoir,
j'ai installé Dofus 2.0 sous opensuse.

Je suis arrivé jusqu'à l'étape ou j'ai 2 nouveaux icones sur le bureau, seulement lorsque je lance l'updater il se met une dizaine de seconde dans la barre des taches mais ensuite se ferme sans que rien ne se passe. Aucun chargement de mise à jour ne semble se faire ? Idem lorsque je lance le "Dofusdirect" il m'informe que des mises à jour doivent être lancées mais rien ne se passe après acceptation ?

J'ai donc besoin d'aide car mes connaissances sous linux sont très légères.

Merci d'avance.

Hors ligne

#605 Le 12/09/2011, à 14:29

yoann21

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Salut,

Ok, c'est surement un problème classique de lib manquantes.
Fait moi ces commandes :

/opt/Dofus_Paquet/share/UpLauncher
ldd /opt/Dofus_Paquet/share/UpLauncher

Hors ligne

#606 Le 12/09/2011, à 14:31

yoann21

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

[EDIT] > Je suis passé à Ubuntu entre temps et les liens fournis dans le Tuto marchent du feu de dieu.
Bravo pour ton travail et bonne continuation smile

Merci smile

Ton problème sous opensuse devait être le même que BisonRavi.

Hors ligne

#607 Le 12/09/2011, à 18:25

BisonRavi

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Bonsoir,
voilà donc le résultat des commandes.

papounet@linux-jikf:~> /opt/Dofus_Paquet/share/UpLauncher
/opt/Dofus_Paquet/share/UpLauncher: error while loading shared libraries: libssl.so.0.9.8: cannot open shared object file: No such file or directory
papounet@linux-jikf:~> ldd /opt/Dofus_Paquet/share/UpLauncher
        linux-gate.so.1 =>  (0xffffe000)
        libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0xb7347000)
        libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0xb7341000)
        libSM.so.6 => /usr/lib/libSM.so.6 (0xb7338000)
        libjpeg.so.62 => /usr/lib/libjpeg.so.62 (0xb72e4000)
        libssl.so.0.9.8 => not found
        libdbus-glib-1.so.2 => /usr/lib/libdbus-glib-1.so.2 (0xb72bc000)
        libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0xb720d000)
        libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0xb71ed000)
        libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0xb719d000)
        libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0xb70a7000)
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb6fb8000)
        libm.so.6 => /lib/libm.so.6 (0xb6f8e000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xb6f70000)
        libc.so.6 => /lib/libc.so.6 (0xb6e03000)
        libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0xb6dff000)
        libX11.so.6 => /usr/lib/libX11.so.6 (0xb6cc1000)
        libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0xb6c76000)
        libz.so.1 => /lib/libz.so.1 (0xb6c5f000)
        librt.so.1 => /lib/librt.so.1 (0xb6c55000)
        libpthread.so.0 => /lib/libpthread.so.0 (0xb6c3a000)
        libcrypto.so.0.9.8 => not found
        libdl.so.2 => /lib/libdl.so.2 (0xb6c34000)
        libpng12.so.0 => not found
        libexpat.so.1 => /lib/libexpat.so.1 (0xb6c0a000)
        libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0xb6bfd000)
        libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0xb6bf7000)
        libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0xb6bd7000)
        libcairo.so.2 => /usr/lib/libcairo.so.2 (0xb6b12000)
        libgio-2.0.so.0 => /lib/libgio-2.0.so.0 (0xb69e0000)
        libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0xb69b1000)
        libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0xb697b000)
        libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0xb6975000)
        libICE.so.6 => /usr/lib/libICE.so.6 (0xb695a000)
        libuuid.so.1 => /lib/libuuid.so.1 (0xb6954000)
        libdbus-1.so.3 => /lib/libdbus-1.so.3 (0xb6909000)
        libXext.so.6 => /usr/lib/libXext.so.6 (0xb68f7000)
        libXrender.so.1 => /usr/lib/libXrender.so.1 (0xb68eb000)
        libXi.so.6 => /usr/lib/libXi.so.6 (0xb68db000)
        libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0xb68d2000)
        libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0xb68c6000)
        libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0xb68c2000)
        libXdamage.so.1 => /usr/lib/libXdamage.so.1 (0xb68bd000)
        libpcre.so.0 => /lib/libpcre.so.0 (0xb6886000)
        /lib/ld-linux.so.2 (0xb77c7000)
        libxcb.so.1 => /usr/lib/libxcb.so.1 (0xb6866000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb67de000)
        libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0xb675f000)
        libpng14.so.14 => /usr/lib/libpng14.so.14 (0xb6732000)
        libresolv.so.2 => /lib/libresolv.so.2 (0xb671b000)
        libselinux.so.1 => /lib/libselinux.so.1 (0xb66fc000)
        libXau.so.6 => /usr/lib/libXau.so.6 (0xb66f8000)
papounet@linux-jikf:~>

C'est grave docteur ?

Hors ligne

#608 Le 12/09/2011, à 21:38

yoann21

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Normalement avec ces commandes ça devrait être bon (j'ai testé avec opensuse 11.4) :

ln -s /usr/lib/libssl.so.1.0.0 /opt/Dofus_Paquet/lib/libssl.so.0.9.8
ln -s /usr/lib/libpng14.so.14 /opt/Dofus_Paquet/lib/libpng12.so.0
ln -s /lib/libcrypto.so.1.0.0 /opt/Dofus_Paquet/libcrypto.so.0.9.8

Hors ligne

#609 Le 12/09/2011, à 21:48

BisonRavi

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Re,

papounet@linux-jikf:~> ln -s /usr/lib/libssl.so.1.0.0 /opt/Dofus_Paquet/lib/libssl.so.0.9.8
ln: failed to create symbolic link « /opt/Dofus_Paquet/lib/libssl.so.0.9.8 »: Le fichier existe
papounet@linux-jikf:~> ln -s /usr/lib/libpng14.so.14 /opt/Dofus_Paquet/lib/libpng12.so.0
ln: failed to create symbolic link « /opt/Dofus_Paquet/lib/libpng12.so.0 »: Permission non accordée
papounet@linux-jikf:~> ln -s /lib/libcrypto.so.1.0.0 /opt/Dofus_Paquet/libcrypto.so.0.9.8
papounet@linux-jikf:~> ln -s /lib/libcrypto.so.1.0.0 /opt/Dofus_Paquet/libcrypto.so.0.9.8
ln: failed to create symbolic link « /opt/Dofus_Paquet/libcrypto.so.0.9.8 »: Permission non accordée
papounet@linux-jikf:~> 

Me semble pas très bon tout ça sad

En attendant ton aide j'ai tenter de refaire l'installation complète air+dofus et arriver au même stade avec les mêmes commandes j'obtiens un truc légèrement différent mais toujours pas concluant ...

papounet@linux-jikf:~> su
Mot de passe : 
linux-jikf:/home/papounet # ln -s /usr/lib/libssl.so.1.0.0 /opt/Dofus_Paquet/lib/libssl.so.0.9.8
ln: failed to create symbolic link « /opt/Dofus_Paquet/lib/libssl.so.0.9.8 »: Le fichier existe
linux-jikf:/home/papounet # ln -s /usr/lib/libpng14.so.14 /opt/Dofus_Paquet/lib/libpng12.so.0
ln: failed to create symbolic link « /opt/Dofus_Paquet/lib/libpng12.so.0 »: Le fichier existe
linux-jikf:/home/papounet # ln -s /lib/libcrypto.so.1.0.0 /opt/Dofus_Paquet/libcrypto.so.0.9.8
ln: failed to create symbolic link « /opt/Dofus_Paquet/libcrypto.so.0.9.8 »: Le fichier existe
linux-jikf:/home/papounet # 

....

Dernière modification par BisonRavi (Le 14/09/2011, à 19:46)

Hors ligne

#610 Le 14/09/2011, à 21:21

yoann21

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Les messages d'erreur sont normales. Tu ne peux pas créer les liens symboliques deux fois ^^
Et j'ai fait une erreur dans une commande, voila celle corrigée :

ln -s /lib/libcrypto.so.1.0.0 /opt/Dofus_Paquet/lib/libcrypto.so.0.9.8

Une fois fait, que te donne ?

ldd /opt/Dofus_Paquet/share/UpLauncher

Dernière modification par yoann21 (Le 14/09/2011, à 21:22)

Hors ligne

#611 Le 14/09/2011, à 23:26

BisonRavi

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Bonsoir

alors voilà les 2 commandes

papounet@linux-jikf:~> ln -s /lib/libcrypto.so.1.0.0 /opt/Dofus_Paquet/lib/libcrypto.so.0.9.8
ln: failed to create symbolic link « /opt/Dofus_Paquet/lib/libcrypto.so.0.9.8 »: Le fichier existe
papounet@linux-jikf:~> ldd /opt/Dofus_Paquet/share/UpLauncher
/opt/Dofus_Paquet/share/UpLauncher: /usr/lib/libcrypto.so.0.9.8: no version information available (required by /opt/Dofus_Paquet/share/UpLauncher)
/opt/Dofus_Paquet/share/UpLauncher: /usr/lib/libssl.so.0.9.8: no version information available (required by /opt/Dofus_Paquet/share/UpLauncher)
        linux-gate.so.1 =>  (0xffffe000)
        libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0xb72c3000)
        libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0xb72bd000)
        libSM.so.6 => /usr/lib/libSM.so.6 (0xb72b4000)
        libjpeg.so.62 => /usr/lib/libjpeg.so.62 (0xb7260000)
        libssl.so.0.9.8 => /usr/lib/libssl.so.0.9.8 (0xb7210000)
        libdbus-glib-1.so.2 => /usr/lib/libdbus-glib-1.so.2 (0xb71e9000)
        libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0xb713a000)
        libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0xb711a000)
        libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0xb70ca000)
        libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0xb6fd4000)
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb6ee5000)
        libm.so.6 => /lib/libm.so.6 (0xb6ebb000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xb6e9d000)
        libc.so.6 => /lib/libc.so.6 (0xb6d30000)
        libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0xb6d2c000)
        libX11.so.6 => /usr/lib/libX11.so.6 (0xb6bee000)
        libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0xb6ba3000)
        libz.so.1 => /lib/libz.so.1 (0xb6b8c000)
        librt.so.1 => /lib/librt.so.1 (0xb6b82000)
        libpthread.so.0 => /lib/libpthread.so.0 (0xb6b67000)
        libcrypto.so.0.9.8 => /usr/lib/libcrypto.so.0.9.8 (0xb69eb000)
        libdl.so.2 => /lib/libdl.so.2 (0xb69e5000)
        libpng12.so.0 => not found
        libexpat.so.1 => /lib/libexpat.so.1 (0xb69bb000)
        libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0xb69ae000)
        libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0xb69a8000)
        libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0xb6988000)
        libcairo.so.2 => /usr/lib/libcairo.so.2 (0xb68c3000)
        libgio-2.0.so.0 => /lib/libgio-2.0.so.0 (0xb6791000)
        libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0xb6762000)
        libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0xb672c000)
        libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0xb6726000)
        libICE.so.6 => /usr/lib/libICE.so.6 (0xb670b000)
        libuuid.so.1 => /lib/libuuid.so.1 (0xb6705000)
        libdbus-1.so.3 => /lib/libdbus-1.so.3 (0xb66ba000)
        libXext.so.6 => /usr/lib/libXext.so.6 (0xb66a8000)
        libXrender.so.1 => /usr/lib/libXrender.so.1 (0xb669c000)
        libXi.so.6 => /usr/lib/libXi.so.6 (0xb668c000)
        libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0xb6683000)
        libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0xb6677000)
        libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0xb6673000)
        libXdamage.so.1 => /usr/lib/libXdamage.so.1 (0xb666e000)
        libpcre.so.0 => /lib/libpcre.so.0 (0xb6637000)
        /lib/ld-linux.so.2 (0xb7743000)
        libxcb.so.1 => /usr/lib/libxcb.so.1 (0xb6617000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb658f000)
        libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0xb6510000)
        libpng14.so.14 => /usr/lib/libpng14.so.14 (0xb64e3000)
        libresolv.so.2 => /lib/libresolv.so.2 (0xb64cc000)
        libselinux.so.1 => /lib/libselinux.so.1 (0xb64ad000)
        libXau.so.6 => /usr/lib/libXau.so.6 (0xb64a9000)
papounet@linux-jikf:~> 

En espérant que cela te permette d'y voir plus clair dans ce qui ne tourne pas rond dans mon install !

A plus tard

Dernière modification par BisonRavi (Le 14/09/2011, à 23:29)

Hors ligne

#612 Le 16/09/2011, à 16:47

yoann21

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Ok, donc reste plus qu'une seule lib qui pose problème.
Puex-tu me mettre le retour de :

ls -l /usr/lib/libpng*

Hors ligne

#613 Le 16/09/2011, à 17:00

BisonRavi

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Bonjour,

papounet@linux-jikf:~> ls -l /usr/lib/libpng*
lrwxrwxrwx 1 root root     18 11 sept. 16:52 /usr/lib/libpng14.so.14 -> libpng14.so.14.4.0
-rwxr-xr-x 1 root root 173936  2 août  18:32 /usr/lib/libpng14.so.14.4.0
papounet@linux-jikf:~> 

Voilà donc le résultat ... en espérant te trouver encore derrière ton pc je commence à désespérer de pouvoir jouer sous cette config sad

Hors ligne

#614 Le 16/09/2011, à 22:17

yoann21

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

BisonRavi a écrit :

Bonjour,

papounet@linux-jikf:~> ls -l /usr/lib/libpng*
lrwxrwxrwx 1 root root     18 11 sept. 16:52 /usr/lib/libpng14.so.14 -> libpng14.so.14.4.0
-rwxr-xr-x 1 root root 173936  2 août  18:32 /usr/lib/libpng14.so.14.4.0
papounet@linux-jikf:~> 

Voilà donc le résultat ... en espérant te trouver encore derrière ton pc je commence à désespérer de pouvoir jouer sous cette config sad

T'inquiète pas, on est tout proche smile

su
ln -s /usr/lib/libpng14.so.14 /usr/lib/libpng12.so.0

Et essaie de lancer Dofus ensuite. Si ça ne marche pas, remet moi ce que t'as mis la commande juste avant avec un ldd /opt/Dofus_Paquet/share/UpLauncher.

Hors ligne

#615 Le 17/09/2011, à 00:33

BisonRavi

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Je veux bien te croire lorsque tu dis qu'on approche du but .... *croise les doigts en tapant sur son clavier*

linux-jikf:/home/papounet # ldd /opt/Dofus_Paquet/share/UpLauncher
/opt/Dofus_Paquet/share/UpLauncher: /usr/lib/libpng12.so.0: version `PNG12_0' not found (required by /opt/Dofus_Paquet/share/UpLauncher)
/opt/Dofus_Paquet/share/UpLauncher: /usr/lib/libcrypto.so.0.9.8: no version information available (required by /opt/Dofus_Paquet/share/UpLauncher)
/opt/Dofus_Paquet/share/UpLauncher: /usr/lib/libssl.so.0.9.8: no version information available (required by /opt/Dofus_Paquet/share/UpLauncher)
        linux-gate.so.1 =>  (0xffffe000)
        libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0xb7424000)
        libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0xb741e000)
        libSM.so.6 => /usr/lib/libSM.so.6 (0xb7415000)
        libjpeg.so.62 => /usr/lib/libjpeg.so.62 (0xb73c1000)
        libssl.so.0.9.8 => /usr/lib/libssl.so.0.9.8 (0xb7371000)
        libdbus-glib-1.so.2 => /usr/lib/libdbus-glib-1.so.2 (0xb734a000)
        libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0xb729b000)
        libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0xb727b000)
        libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0xb722b000)
        libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0xb7135000)
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb7046000)
        libm.so.6 => /lib/libm.so.6 (0xb701c000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xb6ffe000)
        libc.so.6 => /lib/libc.so.6 (0xb6e91000)
        libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0xb6e8d000)
        libX11.so.6 => /usr/lib/libX11.so.6 (0xb6d4f000)
        libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0xb6d04000)
        libz.so.1 => /lib/libz.so.1 (0xb6ced000)
        librt.so.1 => /lib/librt.so.1 (0xb6ce3000)
        libpthread.so.0 => /lib/libpthread.so.0 (0xb6cc8000)
        libcrypto.so.0.9.8 => /usr/lib/libcrypto.so.0.9.8 (0xb6b4c000)
        libdl.so.2 => /lib/libdl.so.2 (0xb6b46000)
        libpng12.so.0 => /usr/lib/libpng12.so.0 (0xb6b1a000)
        libexpat.so.1 => /lib/libexpat.so.1 (0xb6af0000)
        libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0xb6ae3000)
        libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0xb6add000)
        libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0xb6abe000)
        libcairo.so.2 => /usr/lib/libcairo.so.2 (0xb69f8000)
        libgio-2.0.so.0 => /lib/libgio-2.0.so.0 (0xb68c6000)
        libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0xb6897000)
        libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0xb6861000)
        libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0xb685c000)
        libICE.so.6 => /usr/lib/libICE.so.6 (0xb6840000)
        libuuid.so.1 => /lib/libuuid.so.1 (0xb683a000)
        libdbus-1.so.3 => /lib/libdbus-1.so.3 (0xb67ef000)
        libXext.so.6 => /usr/lib/libXext.so.6 (0xb67dd000)
        libXrender.so.1 => /usr/lib/libXrender.so.1 (0xb67d2000)
        libXi.so.6 => /usr/lib/libXi.so.6 (0xb67c1000)
        libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0xb67b8000)
        libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0xb67ac000)
        libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0xb67a8000)
        libXdamage.so.1 => /usr/lib/libXdamage.so.1 (0xb67a4000)
        libpcre.so.0 => /lib/libpcre.so.0 (0xb676c000)
        /lib/ld-linux.so.2 (0xb78a4000)
        libxcb.so.1 => /usr/lib/libxcb.so.1 (0xb674c000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb66c4000)
        libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0xb6645000)
        libresolv.so.2 => /lib/libresolv.so.2 (0xb662d000)
        libselinux.so.1 => /lib/libselinux.so.1 (0xb660e000)
        libXau.so.6 => /usr/lib/libXau.so.6 (0xb660a000)
linux-jikf:/home/papounet # 

A très vite j'espère ...

Dernière modification par BisonRavi (Le 17/09/2011, à 00:34)

Hors ligne

#616 Le 17/09/2011, à 12:14

yoann21

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Ta version de libpng est trop récente. Apparemment l'ancienne version est dispo dans les dépôts.

su
rm /opt/Dofus_Paquet/*.so
rm /opt/Dofus_Paquet/lib/*
rm /usr/lib/libpng12.so.0
zypper in libpng12-0
zypper in libopenssl0_9_8

Après ça, Dofus "devrait" marcher. smile

Hors ligne

#617 Le 17/09/2011, à 13:28

BisonRavi

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Oups !!

toujours pas ....ni le dofus updater ni le dofus direct ... je suis mafré !!
Si je comprend bien ça à l'air de s'être installé avec tes commandes mais bon .... ( j'ai retapé les commandes pour voir résultat ci après )

Mot de passe : 
linux-jikf:~ # zypper in libpng12-0
Loading repository data...
Reading installed packages...
'libpng12-0' is already installed.
No update candidate for 'libpng12-0-1.2.46-7.3.1.i586'. The highest available version is already installed.
Resolving package dependencies...

Nothing to do.
linux-jikf:~ # zypper in libopenssl0_9_8
Loading repository data...
Reading installed packages...
'libopenssl0_9_8' is already installed.
No update candidate for 'libopenssl0_9_8-0.9.8m-5.2.i586'. The highest available version is already installed.
Resolving package dependencies...

Nothing to do.
linux-jikf:~ # 

je te remet ça au hazard

papounet@linux-jikf:~> ldd /opt/Dofus_Paquet/share/UpLauncher
/opt/Dofus_Paquet/share/UpLauncher: /usr/lib/libcrypto.so.0.9.8: no version information available (required by /opt/Dofus_Paquet/share/UpLauncher)
/opt/Dofus_Paquet/share/UpLauncher: /usr/lib/libssl.so.0.9.8: no version information available (required by /opt/Dofus_Paquet/share/UpLauncher)
        linux-gate.so.1 =>  (0xffffe000)
        libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0xb7405000)
        libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0xb73ff000)
        libSM.so.6 => /usr/lib/libSM.so.6 (0xb73f6000)
        libjpeg.so.62 => /usr/lib/libjpeg.so.62 (0xb73a2000)
        libssl.so.0.9.8 => /usr/lib/libssl.so.0.9.8 (0xb7352000)
        libdbus-glib-1.so.2 => /usr/lib/libdbus-glib-1.so.2 (0xb732b000)
        libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0xb727c000)
        libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0xb725c000)
        libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0xb720c000)
        libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0xb7116000)
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb7027000)
        libm.so.6 => /lib/libm.so.6 (0xb6ffd000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xb6fdf000)
        libc.so.6 => /lib/libc.so.6 (0xb6e72000)
        libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0xb6e6e000)
        libX11.so.6 => /usr/lib/libX11.so.6 (0xb6d30000)
        libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0xb6ce5000)
        libz.so.1 => /lib/libz.so.1 (0xb6cce000)
        librt.so.1 => /lib/librt.so.1 (0xb6cc4000)
        libpthread.so.0 => /lib/libpthread.so.0 (0xb6ca9000)
        libcrypto.so.0.9.8 => /usr/lib/libcrypto.so.0.9.8 (0xb6b2d000)
        libdl.so.2 => /lib/libdl.so.2 (0xb6b27000)
        libpng12.so.0 => not found
        libexpat.so.1 => /lib/libexpat.so.1 (0xb6afd000)
        libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0xb6af0000)
        libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0xb6aea000)
        libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0xb6aca000)
        libcairo.so.2 => /usr/lib/libcairo.so.2 (0xb6a05000)
        libgio-2.0.so.0 => /lib/libgio-2.0.so.0 (0xb68d3000)
        libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0xb68a4000)
        libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0xb686e000)
        libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0xb6868000)
        libICE.so.6 => /usr/lib/libICE.so.6 (0xb684d000)
        libuuid.so.1 => /lib/libuuid.so.1 (0xb6847000)
        libdbus-1.so.3 => /lib/libdbus-1.so.3 (0xb67fc000)
        libXext.so.6 => /usr/lib/libXext.so.6 (0xb67ea000)
        libXrender.so.1 => /usr/lib/libXrender.so.1 (0xb67de000)
        libXi.so.6 => /usr/lib/libXi.so.6 (0xb67ce000)
        libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0xb67c5000)
        libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0xb67b9000)
        libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0xb67b5000)
        libXdamage.so.1 => /usr/lib/libXdamage.so.1 (0xb67b0000)
        libpcre.so.0 => /lib/libpcre.so.0 (0xb6779000)
        /lib/ld-linux.so.2 (0xb7885000)
        libxcb.so.1 => /usr/lib/libxcb.so.1 (0xb6759000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb66d1000)
        libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0xb6652000)
        libpng14.so.14 => /usr/lib/libpng14.so.14 (0xb6625000)
        libresolv.so.2 => /lib/libresolv.so.2 (0xb660e000)
        libselinux.so.1 => /lib/libselinux.so.1 (0xb65ef000)
        libXau.so.6 => /usr/lib/libXau.so.6 (0xb65eb000)
papounet@linux-jikf:~> 

Dernière modification par BisonRavi (Le 17/09/2011, à 13:39)

Hors ligne

#618 Le 17/09/2011, à 13:56

yoann21

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

La je comprend pas, les paquets étaient déjà installés alors qu'ils ne l'étaient pas lors de ton premier message. C'est toi qui l'a fait ? big_smile

Je t'ai uploadé une libpng qui marche.

su
rm /usr/lib/libpng12.so.0.46.0
wget http://dl.dropbox.com/u/12943198/libpng12.so.0.46.0
mv libpng12.so.0.46.0 /usr/lib/libpng12.so.0.46.0
ln -s /usr/lib/libpng12.so.0.46.0 /usr/lib/libpng12.so.0

EDIT: commande modifiée

Dernière modification par yoann21 (Le 17/09/2011, à 14:04)

Hors ligne

#619 Le 17/09/2011, à 19:28

BisonRavi

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Je suis dé...pi...té .....!

ça ne marche toujours pas !!! le sort s'acharne sur moi ?! Même après un reboot sad
J'ai retapé les commandes au cas ou ...

linux-jikf:/home/papounet # rm /usr/lib/libpng12.so.0.46.0
linux-jikf:/home/papounet # wget http://dl.dropbox.com/u/12943198/libpng12.so.0.46.0
asking libproxy about url 'http://dl.dropbox.com/u/12943198/libpng12.so.0.46.0'
libproxy suggest to use 'direct://'
--2011-09-17 19:21:33--  http://dl.dropbox.com/u/12943198/libpng12.so.0.46.0
Résolution de dl.dropbox.com... 174.129.6.48
Connexion vers dl.dropbox.com|174.129.6.48|:80...connecté.
requête HTTP transmise, en attente de la réponse...200 OK
Longueur: 174052 (170K) [text/plain]
Sauvegarde en : «libpng12.so.0.46.0»

100%[====================================================================================>] 174 052      185K/s   ds 0,9s    

2011-09-17 19:21:35 (185 KB/s) - «libpng12.so.0.46.0» sauvegardé [174052/174052]

linux-jikf:/home/papounet # mv libpng12.so.0.46.0 /usr/lib/libpng12.so.0.46.0
linux-jikf:/home/papounet # ln -s /usr/lib/libpng12.so.0.46.0 /usr/lib/libpng12.so.0
ln: failed to create symbolic link « /usr/lib/libpng12.so.0 »: Le fichier existe
linux-jikf:/home/papounet # 

C'est plus de l'aide qu'il me faut mais un exorcisme ...  c'est incroyable.
Aller on fini sur un coup de génie de ta part ... j'y crois !

Hors ligne

#620 Le 17/09/2011, à 23:12

yoann21

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

BisonRavi a écrit :

Je suis dé...pi...té .....!

ça ne marche toujours pas !!! le sort s'acharne sur moi ?! Même après un reboot sad
J'ai retapé les commandes au cas ou ...

linux-jikf:/home/papounet # rm /usr/lib/libpng12.so.0.46.0
linux-jikf:/home/papounet # wget http://dl.dropbox.com/u/12943198/libpng12.so.0.46.0
asking libproxy about url 'http://dl.dropbox.com/u/12943198/libpng12.so.0.46.0'
libproxy suggest to use 'direct://'
--2011-09-17 19:21:33--  http://dl.dropbox.com/u/12943198/libpng12.so.0.46.0
Résolution de dl.dropbox.com... 174.129.6.48
Connexion vers dl.dropbox.com|174.129.6.48|:80...connecté.
requête HTTP transmise, en attente de la réponse...200 OK
Longueur: 174052 (170K) [text/plain]
Sauvegarde en : «libpng12.so.0.46.0»

100%[====================================================================================>] 174 052      185K/s   ds 0,9s    

2011-09-17 19:21:35 (185 KB/s) - «libpng12.so.0.46.0» sauvegardé [174052/174052]

linux-jikf:/home/papounet # mv libpng12.so.0.46.0 /usr/lib/libpng12.so.0.46.0
linux-jikf:/home/papounet # ln -s /usr/lib/libpng12.so.0.46.0 /usr/lib/libpng12.so.0
ln: failed to create symbolic link « /usr/lib/libpng12.so.0 »: Le fichier existe
linux-jikf:/home/papounet # 

C'est plus de l'aide qu'il me faut mais un exorcisme ...  c'est incroyable.
Aller on fini sur un coup de génie de ta part ... j'y crois !

Désespère pas, on va y arriver big_smile

su
ls -l /usr/lib/libpng*
rm /usr/lib/libpng12.so.0
ln -s /usr/lib/libpng12.so.0.46.0 /usr/lib/libpng12.so.0

Et ensuite le ldd habituel.

Hors ligne

#621 Le 18/09/2011, à 11:26

BisonRavi

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Tada .....

Mot de passe : 
linux-jikf:~ # 
linux-jikf:~ # 
linux-jikf:~ # ls -l /usr/lib/libpng*
lrwxrwxrwx 1 root root     27 Sep 17 17:40 /usr/lib/libpng12.so.0 -> /usr/lib/libpng12.so.0.46.0
-rw-r--r-- 1 root root 174052 Sep 17 19:21 /usr/lib/libpng12.so.0.46.0
lrwxrwxrwx 1 root root     18 Sep 11 16:52 /usr/lib/libpng14.so.14 -> libpng14.so.14.4.0
-rwxr-xr-x 1 root root 173936 Aug  2 18:32 /usr/lib/libpng14.so.14.4.0
linux-jikf:~ # rm /usr/lib/libpng12.so.0
linux-jikf:~ # ln -s /usr/lib/libpng12.so.0.46.0 /usr/lib/libpng12.so.0
linux-jikf:~ # ldd /opt/Dofus_Paquet/share/UpLauncher
/opt/Dofus_Paquet/share/UpLauncher: /usr/lib/libcrypto.so.0.9.8: no version information available (required by /opt/Dofus_Paquet/share/UpLauncher)
/opt/Dofus_Paquet/share/UpLauncher: /usr/lib/libssl.so.0.9.8: no version information available (required by /opt/Dofus_Paquet/share/UpLauncher)
        linux-gate.so.1 =>  (0xffffe000)
        libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0xb7428000)
        libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0xb7422000)
        libSM.so.6 => /usr/lib/libSM.so.6 (0xb7419000)
        libjpeg.so.62 => /usr/lib/libjpeg.so.62 (0xb73c5000)
        libssl.so.0.9.8 => /usr/lib/libssl.so.0.9.8 (0xb7375000)
        libdbus-glib-1.so.2 => /usr/lib/libdbus-glib-1.so.2 (0xb734e000)
        libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0xb729f000)
        libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0xb727f000)
        libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0xb722f000)
        libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0xb7139000)
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb704a000)
        libm.so.6 => /lib/libm.so.6 (0xb7020000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xb7002000)
        libc.so.6 => /lib/libc.so.6 (0xb6e95000)
        libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0xb6e91000)
        libX11.so.6 => /usr/lib/libX11.so.6 (0xb6d53000)
        libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0xb6d08000)
        libz.so.1 => /lib/libz.so.1 (0xb6cf1000)
        librt.so.1 => /lib/librt.so.1 (0xb6ce7000)
        libpthread.so.0 => /lib/libpthread.so.0 (0xb6ccc000)
        libcrypto.so.0.9.8 => /usr/lib/libcrypto.so.0.9.8 (0xb6b50000)
        libdl.so.2 => /lib/libdl.so.2 (0xb6b4a000)
        libpng12.so.0 => /usr/lib/libpng12.so.0 (0xb6b1f000)
        libexpat.so.1 => /lib/libexpat.so.1 (0xb6af5000)
        libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0xb6ae8000)
        libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0xb6ae2000)
        libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0xb6ac3000)
        libcairo.so.2 => /usr/lib/libcairo.so.2 (0xb69fd000)
        libgio-2.0.so.0 => /lib/libgio-2.0.so.0 (0xb68cb000)
        libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0xb689c000)
        libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0xb6866000)
        libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0xb6861000)
        libICE.so.6 => /usr/lib/libICE.so.6 (0xb6845000)
        libuuid.so.1 => /lib/libuuid.so.1 (0xb683f000)
        libdbus-1.so.3 => /lib/libdbus-1.so.3 (0xb67f4000)
        libXext.so.6 => /usr/lib/libXext.so.6 (0xb67e2000)
        libXrender.so.1 => /usr/lib/libXrender.so.1 (0xb67d7000)
        libXi.so.6 => /usr/lib/libXi.so.6 (0xb67c6000)
        libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0xb67bd000)
        libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0xb67b1000)
        libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0xb67ad000)
        libXdamage.so.1 => /usr/lib/libXdamage.so.1 (0xb67a9000)
        libpcre.so.0 => /lib/libpcre.so.0 (0xb6771000)
        /lib/ld-linux.so.2 (0xb78a8000)
        libxcb.so.1 => /usr/lib/libxcb.so.1 (0xb6751000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb66c9000)
        libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0xb664a000)
        libpng14.so.14 => /usr/lib/libpng14.so.14 (0xb661d000)
        libresolv.so.2 => /lib/libresolv.so.2 (0xb6606000)
        libselinux.so.1 => /lib/libselinux.so.1 (0xb65e7000)
        libXau.so.6 => /usr/lib/libXau.so.6 (0xb65e3000)
linux-jikf:~ # 

Je vais l'apprécier cette connection en jeu je te le dis !

tongue

Hors ligne

#622 Le 18/09/2011, à 11:31

yoann21

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Tout m'a l'air ok, essaie de lancer l'updater :

/opt/Dofus_Paquet/share/UpLauncher

Dernière modification par yoann21 (Le 18/09/2011, à 11:31)

Hors ligne

#623 Le 18/09/2011, à 12:31

BisonRavi

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Bon alors voilà ce que ça donne :

papounet@linux-jikf:~> /opt/Dofus_Paquet/share/UpLauncher
/opt/Dofus_Paquet/share/UpLauncher: /usr/lib/libcrypto.so.0.9.8: no version information available (required by /opt/Dofus_Paquet/share/UpLauncher)
/opt/Dofus_Paquet/share/UpLauncher: /usr/lib/libssl.so.0.9.8: no version information available (required by /opt/Dofus_Paquet/share/UpLauncher)
not running
Destroyed
papounet@linux-jikf:~>

Le launcher s'ouvre, puis un message me dit qu'une autre instance est lancé, je dois faire ok et tout se referme.

C'est bon signe hein ? dis moi que oui !

Bon app'

Edit du message :
J'ai refait le test en root et c'est passé !! enfin je me précipite pas trop mais la fenêtre de téléchargement de la mise à jour c'est ouverte et c'est en cours ... je file manger et je te donne des nouvelles juste après.
A tout'

Dernière modification par BisonRavi (Le 18/09/2011, à 12:44)

Hors ligne

#624 Le 18/09/2011, à 12:56

yoann21

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Ba nickel ça marche alors smile

C'est pas très "propre" de lancer Dofus en root donc on va te corriger ça.
Une fois la mise à jour effectuée, quitte Dofus et l'updater et fait cette commande pour remettre les droits appropriés :

su
chown -R $USER /opt/Dofus_Paquet

Hors ligne

#625 Le 18/09/2011, à 13:50

BisonRavi

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Bon alors, avant et après ta dernière commande pour les droits voilà ou j'en suis.

Lancement du jeu possible uniquement avec l'icone "Dofus Direct".
Avec le Dofus updater l'icone se met en attente puis disparait au bout de 10 secondes puis rien.

Un bon pas déjà de fait et je suis du coup hyper confiant sur le dernier petit problème de lancement via le dofus updater qui ne va pas te résister bien longtemps smile.

Hors ligne

Haut de page ↑